Index: qPloneComments/trunk/locales/nl/LC_MESSAGES/plonecomments.po
===================================================================
--- qPloneComments/trunk/locales/nl/LC_MESSAGES/plonecomments.po	(revision 745)
+++ qPloneComments/trunk/locales/nl/LC_MESSAGES/plonecomments.po	(revision 745)
@@ -0,0 +1,204 @@
+# Dutch translation for qPloneComments
+# Kees Hink <hink@gw20e.com>, 2009.
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"POT-Creation-Date: 2006-10-13 20:12+0000\n"
+"PO-Revision-Date: 2006-12-29 11:01+0100\n"
+"Last-Translator: Kees Hink\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0\n"
+"Language-Code: nl\n"
+"Language-Name: Nederlands\n"
+"Preferred-Encodings: utf-8 latin1\n"
+"Domain: plonecomments\n"
+"X-Is-Fallback-For: nl-nl nl-be\n"
+
+#. Default: "Delete"
+#: ../skins/qplonecomments/prefs_recent_comments_form.cpt:113
+msgid "Delete"
+msgstr "Wissen"
+
+#: ../skins/qplonecomments/validate_talkback.vpy:56
+msgid "Please correct the indicated errors."
+msgstr "Verbeter de aangegeven fouten."
+
+#. Default: "Publish"
+#: ../skins/qplonecomments/prefs_recent_comments_form.cpt:122
+msgid "Publish"
+msgstr "Publiceren"
+
+#. Default: "Save"
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:286
+msgid "Save"
+msgstr "Opslaan"
+
+#. Default: "Please review new comment added to the following page \"${title}\": ${link}"
+#: ../skins/qplonecomments/approve_comment_template.pt:10
+msgid "approvemail_new_comment_link"
+msgstr "Bekijk alstublieft het commentaar op de volgende pagina: \" ${title} \" ${link} "
+
+#. Default: "Enable Manager moderation"
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:129
+msgid "enable_manager_moderation"
+msgstr "Beoordelen door beheerder aanzetten"
+
+#. Default: "Recent comments"
+#: ../skins/qplonecomments/prefs_recent_comments_form.cpt:39
+msgid "heading_comments"
+msgstr "Recente opmerkingen"
+
+#. Default: "Plone Comments Setup"
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:37
+msgid "heading_comments_setup"
+msgstr "Plone Opmerkingen instellen"
+
+#. Default: "The email address where comment notifications will be sent"
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:142
+msgid "help_discussion-manager_email"
+msgstr "Het e-mailadres waarheen kennisgevingen van opmerkingen worden verstuurd"
+
+#. Default: "Enter your e-mail address."
+#: ../skins/qplonecomments/discussion_reply_form.cpt:133
+msgid "help_email"
+msgstr "Vul uw e-mailadres in."
+
+#. Default: "Tell us your name."
+#: ../skins/qplonecomments/discussion_reply_form.cpt:103
+msgid "help_name"
+msgstr "Vertel ons hoe u heet."
+
+#. Default: "You can change notification message templates by customizing 'approve_comment_template' and 'published_comment_template' in the qplonecomments skin."
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:165
+msgid "help_organization_name"
+msgstr "U kunt de e-mails die als kennisgeving worden verstuurd aanpassen door de templates 'approve_comment_template' en 'published_comment_template' te wijzigen in de qplonecomments skin."
+
+#. Default: "Allow comments from Anonymous users"
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:113
+msgid "label_anonymous_commenting"
+msgstr "Anonieme opmerkingen toestaan."
+
+#. Default: "Recent comments moderation"
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:26
+msgid "label_comments"
+msgstr "Beoordelen nieuwste opmerkingen"
+
+#. Default: "Configure qPloneComments"
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:20
+msgid "label_configure"
+msgstr "qPloneComments instellen"
+
+#. Default: "Send comments notification emails to:"
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:140
+msgid "label_discussion-manager_email"
+msgstr "Kennisgevingen over opmerkingen sturen aan:"
+
+#. Default: "Notify Discussion Manager of new comments."
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:221
+msgid "label_enable_approve_notification"
+msgstr "Discussiebeheerder inlichten over nieuwe opmerkingen."
+
+#. Default: "Notify Commenter when comment is published."
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:240
+msgid "label_enable_approve_user_notification"
+msgstr "Inzender berichten wanneer opmerking is gepubliceerd."
+
+#. Default: "Enable comment moderation"
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:73
+msgid "label_enable_moderation"
+msgstr "Beoordelen van opmerkingen aanzetten."
+
+#. Default: "Notify Document Owner of new comments on their documents."
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:202
+msgid "label_enable_published_notification"
+msgstr "Kennisgeving van nieuwe opmerking versturen aan eigenaar van document."
+
+#. Default: "Enable Commentator notification on comment was rejected."
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:259
+msgid "label_enable_reject_notification"
+msgstr "Inzender berichten van geweigerde opmerking."
+
+#. Default: "Notify Commenter when their comment receives a reply"
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:279
+msgid "label_enable_reply_notification"
+msgstr "Inzenders berichten dat er een reactie is op hun opmerking."
+
+#. Default: "Email subject prefix (organization name)"
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:163
+msgid "label_organization_name"
+msgstr "Voorvoegsel in onderwerp van email (naam van organisatie)"
+
+#. Default: "Reply"
+#: ../skins/qplonecomments/viewThreadsAtBottom.pt:81
+msgid "label_reply"
+msgstr "Reageren"
+
+#. Default: "Require email from Anonymous commenters"
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:93
+msgid "label_require_anonym_email"
+msgstr "Anonieme inzenders moeten hun e-mailadres opgeven."
+
+#. Default: "Email Notification Options"
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:185
+msgid "legend_qpc_notification_legend"
+msgstr "Instellingen voor kennisgevingen per e-mail."
+
+#. Default: "List of recent comments"
+#: ../skins/qplonecomments/prefs_recent_comments_form.cpt:62
+msgid "legend_recent_comments"
+msgstr "Lijst van de nieuwste opmerkingen"
+
+#. Default: "qPloneComments setup options"
+#: ../skins/qplonecomments/prefs_comments_setup_form.cpt:56
+msgid "legend_setup_options"
+msgstr "Opties voor qPloneComments"
+
+#. Default: "Comment"
+#: ../skins/qplonecomments/prefs_recent_comments_form.cpt:80
+msgid "listingheader_comment"
+msgstr "Opmerking"
+
+#. Default: "Your comment on '${url}' has been published. To see your comment, go to ${url}"
+#: ../skins/qplonecomments/notify_comment_template.pt:12
+msgid "notifycomment_link"
+msgstr "Uw opmerking op '${url}' is gepubliceerd. Ga naar ${url} om de opmerking te bekijken."
+
+#. Default: "Your comment on '${url}' did not receive approval. Please direct any questions or concerns to ${mfrom}."
+#: ../skins/qplonecomments/rejected_comment_template.pt:13
+msgid "notifyreject_link"
+msgstr "Uw opmerking op '${url}' is niet goedgekeurd. Stuur vragen of opmerkingen hierover aan ${mfrom}."
+
+#. Default: "View new comment added to the following page \"${title}\": ${link}"
+#: ../skins/qplonecomments/published_comment_template.pt:8
+msgid "publishedmail_new_comment_link"
+msgstr "Bekijk de nieuwe opmerking bij \"${title}\": ${link}"
+
+#. Default: "qPloneComments"
+#: ../profiles/default/controlpanel.xml
+#: ../profiles/default/actionicons.xml
+msgid "qPloneComments"
+msgstr ""
+
+#. Default: "Someone replied to your comment '${url}' on '${here_url}'. To read the response, go to '${url}'."
+#: ../skins/qplonecomments/reply_notify_template.pt:10
+msgid "replynotify_link"
+msgstr "Iemand heeft gereageerd op uw opmerking '${url}' bij '${here_url}'. Ga naar '${url}' om de reactie te lezen."
+
+#. Default: "${organization_name} Support Team"
+#: ../skins/qplonecomments/rejected_comment_template.pt:18
+msgid "signature"
+msgstr "${organization_name}"
+
+#. Default: "Comment must be approved before replies to comment accepted."
+#: ../skins/qplonecomments/viewThreadsAtBottom.pt:114
+msgid "text_no_add_reply"
+msgstr "Opmerkingen moeten worden goedgekeurd voordat reacties geaccepteerd worden."
+
+#. Default: "No new comments."
+#: ../skins/qplonecomments/prefs_recent_comments_form.cpt:49
+msgid "text_no_new_comments"
+msgstr "Geen nieuwe opmerkingen."
+