Index: quintagroup.mobileextender/trunk/quintagroup/mobileextender/browser/configure.zcml
===================================================================
--- quintagroup.mobileextender/trunk/quintagroup/mobileextender/browser/configure.zcml	(revision 770)
+++ quintagroup.mobileextender/trunk/quintagroup/mobileextender/browser/configure.zcml	(revision 771)
@@ -8,8 +8,9 @@
 
     <browser:page
-      for="Products.CMFPlone.interfaces.IPloneSiteRoot"
-      name="mobile_control"
-      class=".mobilecontrol.MobileControlView"
-      permission="cmf.ManagePortal"
+        for="Products.CMFPlone.interfaces.IPloneSiteRoot"
+        name="mobile_control"
+        class=".mobilecontrol.MobileControlView"
+        permission="cmf.ManagePortal"
+        allowed_attributes="currentlyMarked"
         />
 
Index: quintagroup.mobileextender/trunk/quintagroup/mobileextender/browser/mobilecontrol.pt
===================================================================
--- quintagroup.mobileextender/trunk/quintagroup/mobileextender/browser/mobilecontrol.pt	(revision 770)
+++ quintagroup.mobileextender/trunk/quintagroup/mobileextender/browser/mobilecontrol.pt	(revision 771)
@@ -48,10 +48,4 @@
                 Up to Site Setup
             </a>
-
-            <p i18n:translate=""
-               tal:condition="view/description"
-               tal:content="view/description">
-                Description
-            </p>
 
             <form action="."
@@ -73,8 +67,15 @@
                 </div>
 
+		<p class="documentDescription"
+		     tal:define="description view/description|nothing"
+		     tal:condition="description"
+		     tal:content="description">Form description</p>
+
+		<div class="error"
+		     tal:content="string:Currently marked as mobile content ${view/currentlyMarked} objects">
+		    Currently marked as mobile content 7 objects
+		</div>
+
                 <fieldset tal:condition="not: is_fieldsets">
-                    <legend tal:define="form_name view/form_name|nothing"
-                            tal:condition="form_name"
-                            tal:content="form_name">Form name</legend>
                     <tal:block tal:repeat="widget view/widgets">
 
Index: quintagroup.mobileextender/trunk/quintagroup/mobileextender/browser/mobilecontrol.py
===================================================================
--- quintagroup.mobileextender/trunk/quintagroup/mobileextender/browser/mobilecontrol.py	(revision 770)
+++ quintagroup.mobileextender/trunk/quintagroup/mobileextender/browser/mobilecontrol.py	(revision 771)
@@ -87,11 +87,16 @@
 
             # Mark objects with interface
+            marked = 0
             for b in res:
                 ob = b.getObject()
                 if not IMobile.providedBy(ob):
                     alsoProvides(ob, IMobile)
+                    marked += 1
 
-            #self.status = "Marked %d objects: \n %s" % (len(res), map(lambda b:b.getPath(), res))
-            self.status = "Marked %d objects" % len(res)
+            if marked:
+                catalog = getToolByName(self.context, 'portal_catalog')
+                catalog.manage_reindexIndex(ids=['object_provides'])
+
+            self.status = "Marked %d objects" % marked
         else:
             self.status = "No objects found for given criterion"
@@ -112,10 +117,16 @@
 
             # DeMark objects with interface
+            demarked = 0
             for b in res:
                 ob = b.getObject()
                 if IMobile.providedBy(ob):
                     noLongerProvides(ob, IMobile)
+                    demarked += 1
 
-            self.status = "DeMarked %d objects" % len(res)
+            if demarked:
+                catalog = getToolByName(self.context, 'portal_catalog')
+                catalog.manage_reindexIndex(ids=['object_provides'])
+
+            self.status = "DeMarked %d objects" % demarked
         else:
             self.status = "No objects found for given criterion"
@@ -135,2 +146,6 @@
 
         return catalog(**query)
+
+    def currentlyMarked(self):
+        catalog = getToolByName(self.context, 'portal_catalog')
+        return len(catalog(object_provides='quintagroup.mobileextender.interfaces.IMobile'))