Index: qPloneComments/trunk/locales/plonecomments.pot
===================================================================
--- qPloneComments/trunk/locales/plonecomments.pot	(revision 331)
+++ qPloneComments/trunk/locales/plonecomments.pot	(revision 800)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2007-06-12 09:12+0000\n"
+"POT-Creation-Date: 2009-03-16 13:48+0000\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI +ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -18,348 +18,211 @@
 "Domain: plonecomments\n"
 
-#. Default: "Name"
-#: skins/qplonecomments/2.0.5/discussion_reply_form.cpt
-#: skins/qplonecomments/2.1/discussion_reply_form.cpt
-#: skins/qplonecomments/2.5/discussion_reply_form.cpt
-msgid "Name"
-msgstr ""
-
-#. Default: "Publish"
-#: skins/qplonecomments/2.0.5/discussionitem_view.pt
-#: skins/qplonecomments/prefs_recent_comments_form.cpt
-msgid "Publish"
-msgstr ""
-
-#. Default: "Required"
-#: skins/qplonecomments/2.0.5/discussion_reply_form.cpt
-#: skins/qplonecomments/2.1/discussion_reply_form.cpt
-#: skins/qplonecomments/2.5/discussion_reply_form.cpt
-msgid "Required"
-msgstr ""
-
-#. Default: "Submitter"
-#: skins/qplonecomments/2.0.5/discussion_reply_form.cpt
-#: skins/qplonecomments/2.1/discussion_reply_form.cpt
-#: skins/qplonecomments/2.5/discussion_reply_form.cpt
-msgid "Submitter"
-msgstr ""
-
-#. Default: "Please review new comment added to the following page \" ${title} \": ${link}"
-#: skins/qplonecomments/approve_comment_template.pt
+#: ./skins/qplonecomments/discussion_publish_comment.py:38
+msgid "Comment published."
+msgstr ""
+
+#: ./skins/qplonecomments/prefs_recent_comments_delete.cpy:35
+msgid "Comment(s) deleted."
+msgstr ""
+
+#: ./skins/qplonecomments/prefs_recent_comments_publish.cpy:26
+msgid "Comment(s) published."
+msgstr ""
+
+#: ./skins/qplonecomments/discussion_reply.cpy:96
+msgid "Currently, all comments require approval before being published. Please check back later."
+msgstr ""
+
+#: ./skins/qplonecomments/validate_talkback.vpy:56
+msgid "Please correct the indicated errors."
+msgstr ""
+
+#: ./skins/qplonecomments/validate_talkback.vpy:45
+msgid "Please enter your name."
+msgstr ""
+
+#: ./skins/qplonecomments/prefs_recent_comments_delete.cpy:35
+msgid "Please select items to be processed."
+msgstr ""
+
+#: ./skins/qplonecomments/validate_setup.vpy:23
+msgid "Please submit a valid e-mail address."
+msgstr ""
+
+#: ./skins/qplonecomments/validate_talkback.vpy:32
+msgid "Please submit email."
+msgstr ""
+
+#: ./skins/qplonecomments/validate_reply.vpy:15
+msgid "Reply not allowed because the response is to a comment waiting to be approved. Please wait for the comment to be approved before replying."
+msgstr ""
+
+#: ./skins/qplonecomments/validate_talkback.vpy:50
+msgid "You must correctly enter the word."
+msgstr ""
+
+#. Default: "Please review new comment added to the following page \"${title}\": ${link}"
+#: ./skins/qplonecomments/approve_comment_template.pt:10
 msgid "approvemail_new_comment_link"
 msgstr ""
 
-#. Default: "New comment awaits moderation"
-#: skins/qplonecomments/approve_comment_template.pt
-msgid "approvemail_subject"
+#. Default: "Enable Manager moderation"
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:129
+msgid "enable_manager_moderation"
 msgstr ""
 
 #. Default: "Recent comments"
-#: skins/qplonecomments/prefs_recent_comments_form.cpt
+#: ./skins/qplonecomments/prefs_recent_comments_form.cpt:39
 msgid "heading_comments"
 msgstr ""
 
-#. Default: "qPloneComments Setup"
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
+#. Default: "Plone Comments Setup"
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:37
 msgid "heading_comments_setup"
 msgstr ""
 
-#. Default: "Specify one e-mail address where notifications about adding new comments will be sent."
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
-msgid "help_additional_email"
-msgstr ""
-
-#. Default: "Please tell us your name."
-#: skins/qplonecomments/2.0.5/discussion_reply_form.cpt
-#: skins/qplonecomments/2.1/discussion_reply_form.cpt
-#: skins/qplonecomments/2.5/discussion_reply_form.cpt
+#. Default: "The email address where comment notifications will be sent"
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:142
+msgid "help_discussion-manager_email"
+msgstr ""
+
+#. Default: "Enter your e-mail address."
+#: ./skins/qplonecomments/discussion_reply_form.cpt:133
+msgid "help_email"
+msgstr ""
+
+#. Default: "Tell us your name."
+#: ./skins/qplonecomments/discussion_reply_form.cpt:103
 msgid "help_name"
 msgstr ""
 
-#. Default: "You can change notification message templates customizing 'approve_comment_template' and 'published_comment_template' from qplonecomments skin."
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
+#. Default: "You can change notification message templates by customizing 'approve_comment_template' and 'published_comment_template' in the qplonecomments skin."
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:165
 msgid "help_organization_name"
 msgstr ""
 
+#. Default: "Allow comments from Anonymous users"
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:113
+msgid "label_anonymous_commenting"
+msgstr ""
+
+#. Default: "Recent comments moderation"
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:26
+msgid "label_comments"
+msgstr ""
+
+#. Default: "Configure qPloneComments"
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:20
+msgid "label_configure"
+msgstr ""
+
 #. Default: "Send comments notification emails to:"
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
-msgid "label_additional_email"
-msgstr ""
-
-#. Default: "Enable anonymous comenting."
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
-msgid "label_anonymous_commenting"
-msgstr ""
-
-#. Default: "Recent comments moderation"
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
-#: skins/qplonecomments/prefs_recent_comments_form.cpt
-msgid "label_comments"
-msgstr ""
-
-#. Default: "Configure qPloneComments"
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
-#: skins/qplonecomments/prefs_recent_comments_form.cpt
-msgid "label_configure"
-msgstr ""
-
-#. Default: "Enable Discussion Manager notification on new comments."
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:140
+msgid "label_discussion-manager_email"
+msgstr ""
+
+#. Default: "Notify Discussion Manager of new comments."
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:221
 msgid "label_enable_approve_notification"
 msgstr ""
 
-#. Default: "Enable moderation."
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
+#. Default: "Notify Commenter when comment is published."
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:240
+msgid "label_enable_approve_user_notification"
+msgstr ""
+
+#. Default: "Enable comment moderation"
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:73
 msgid "label_enable_moderation"
 msgstr ""
 
-#. Default: "Enable Document Owner notification on new comments."
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
+#. Default: "Notify Document Owner of new comments on their documents."
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:202
 msgid "label_enable_published_notification"
 msgstr ""
 
-#. Default: "Name"
-#: skins/qplonecomments/2.0.5/discussion_reply_form.cpt
-#: skins/qplonecomments/2.1/discussion_reply_form.cpt
-#: skins/qplonecomments/2.5/discussion_reply_form.cpt
-msgid "label_name"
+#. Default: "Enable Commentator notification on comment was rejected."
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:259
+msgid "label_enable_reject_notification"
+msgstr ""
+
+#. Default: "Notify Commenter when their comment receives a reply"
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:279
+msgid "label_enable_reply_notification"
 msgstr ""
 
 #. Default: "Email subject prefix (organization name)"
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:163
 msgid "label_organization_name"
 msgstr ""
 
-#. Default: "(Required)"
-#: skins/qplonecomments/2.0.5/discussion_reply_form.cpt
-#: skins/qplonecomments/2.1/discussion_reply_form.cpt
-#: skins/qplonecomments/2.5/discussion_reply_form.cpt
-msgid "label_required"
+#. Default: "Require email from Anonymous commenters"
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:93
+msgid "label_require_anonym_email"
+msgstr ""
+
+#. Default: "Email Notification Options"
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:185
+msgid "legend_qpc_notification_legend"
 msgstr ""
 
 #. Default: "List of recent comments"
-#: skins/qplonecomments/prefs_recent_comments_form.cpt
+#: ./skins/qplonecomments/prefs_recent_comments_form.cpt:62
 msgid "legend_recent_comments"
 msgstr ""
 
 #. Default: "qPloneComments setup options"
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
+#: ./skins/qplonecomments/prefs_comments_setup_form.cpt:56
 msgid "legend_setup_options"
 msgstr ""
 
 #. Default: "Comment"
-#: skins/qplonecomments/prefs_recent_comments_form.cpt
+#: ./skins/qplonecomments/prefs_recent_comments_form.cpt:80
 msgid "listingheader_comment"
 msgstr ""
 
-#. Default: "View new comment added to the following page \" ${title} \": ${link}"
-#: skins/qplonecomments/published_comment_template.pt
+#. Default: "Your comment on '${url}' has been published. To see your comment, go to ${url}"
+#: ./skins/qplonecomments/notify_comment_template.pt:12
+msgid "notifycomment_link"
+msgstr ""
+
+#. Default: "Your comment on '${url}' did not receive approval. Please direct any questions or concerns to ${mfrom}."
+#: ./skins/qplonecomments/rejected_comment_template.pt:13
+msgid "notifyreject_link"
+msgstr ""
+
+#. Default: "View new comment added to the following page \"${title}\": ${link}"
+#: ./skins/qplonecomments/published_comment_template.pt:8
 msgid "publishedmail_new_comment_link"
 msgstr ""
 
-#. Default: "New comment added"
-#: skins/qplonecomments/published_comment_template.pt
-msgid "publishedmail_subject"
+#. Default: "qPloneComments"
+#: ./profiles/default/controlpanel.xml
+#: ./profiles/default/actionicons.xml
+msgid "qPloneComments"
+msgstr ""
+
+#: ./skins/qplonecomments/prefs_comments_setup.cpy:54
+msgid "qPloneComments configuration changes saved."
+msgstr ""
+
+#. Default: "Someone replied to your comment '${url}' on '${here_url}'. To read the response, go to '${url}'."
+#: ./skins/qplonecomments/reply_notify_template.pt:10
+msgid "replynotify_link"
 msgstr ""
 
 #. Default: "${organization_name} Support Team"
-#: skins/qplonecomments/approve_comment_template.pt
-#: skins/qplonecomments/published_comment_template.pt
+#: ./skins/qplonecomments/reply_notify_template.pt:15
 msgid "signature"
 msgstr ""
 
+#. Default: "Comment must be approved before replies to comment accepted."
+#: ./browser/comments.pt:106
+msgid "text_no_add_reply"
+msgstr ""
+
 #. Default: "No new comments."
-#: skins/qplonecomments/prefs_recent_comments_form.cpt
+#: ./skins/qplonecomments/prefs_recent_comments_form.cpt:49
 msgid "text_no_new_comments"
 msgstr ""
 
-#. Default: "Delete"
-#: skins/qplonecomments/prefs_recent_comments_form.cpt
-msgid "Delete"
-msgstr ""
-
-#. Default: "Reply"
-#: skins/qplonecomments/2.0.5/viewThreadsAtBottom.pt
-#: skins/qplonecomments/2.1/viewThreadsAtBottom.pt
-#: skins/qplonecomments/2.5/viewThreadsAtBottom.pt
-msgid "label_reply"
-msgstr ""
-
-#. Default: "Comment must be approved before replies to comment accepted."
-#: skins/qplonecomments/2.0.5/viewThreadsAtBottom.pt
-#: skins/qplonecomments/2.1/viewThreadsAtBottom.pt
-#: skins/qplonecomments/2.5/viewThreadsAtBottom.pt
-msgid "text_no_add_reply"
-msgstr ""
-
-#. Default: "Please enter your email:"
-#: skins/qplonecomments/2.0.5/discussion_reply_form.pt
-#: skins/qplonecomments/2.1/discussion_reply_form.pt
-#: skins/qplonecomments/2.5/discussion_reply_form.pt
-msgid "label_anonymous_email"
-msgstr ""
-
-#. Default: "Require Anonym Email."
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
-msgid "label_require_anonym_email"
-msgstr ""
-
-#. Default: "Enable Manager moderation."
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
-msgid "enable_manager_moderation"
-msgstr ""
-
-#. Default: "Send comments notification emails to:"
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
-msgid "label_discussion-manager_email"
-msgstr ""
-
-#. Default: "The e-mail address where notifications about adding new comments will be sent."
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
-msgid "help_discussion-manager_email"
-msgstr ""
-
-#. Default: "Notification tuning"
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
-msgid "legend_qpc_notification_legend"
-msgstr ""
-
-#. Default: "Enable Commentator notification on comment was published."
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
-msgid "label_enable_approve_user_notification"
-msgstr ""
-
-#. Default: "Enable Commentator notification on comment was rejected."
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
-msgid "label_enable_reject_notification"
-msgstr ""
-
-#. Default: "Enable Commentator notification on comment was replied."
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
-msgid "label_enable_reply_notification"
-msgstr ""
-
-#. Default: "Save"
-#: skins/qplonecomments/prefs_comments_setup_form.cpt
-msgid "Save"
-msgstr ""
-
-#. Default: "Reply to this"
-#: skins/qplonecomments/2.0.5/viewThreadsAtBottom.pt
-msgid "Reply to this"
-msgstr ""
-
-#. Default: "Until publishing this comment adding reply impossible."
-#: skins/qplonecomments/2.0.5/discussionitem_view.pt
-msgid "text_no_reply_until_published"
-msgstr ""
-
-#. Default: "Remove this reply"
-#: skins/qplonecomments/2.0.5/discussionitem_view.pt
-msgid "Remove this reply"
-msgstr ""
-
-#. Default: "Your comment on \'${title}\' is now published"
-#: skins/qplonecomments/approve_comment_template.pt
-msgid "notifycomment_subject"
-msgstr ""
-
-#. Default: "Your comment on \'${url}\' has been published. To see your comment, go to ${url}"
-#: skins/qplonecomments/approve_comment_template.pt
-msgid "notifycomment_link"
-msgstr ""
-
-#. Default: "Your comment on \'${title}\' was now approved."
-#: skins/qplonecomments/approve_comment_template.pt
-msgid "notifyreject_subject"
-msgstr ""
-
-#. Default: "Your comment on \'${url}\' did not receive approval. Please direct any questions or concerns to ${mfrom}."
-#: skins/qplonecomments/approve_comment_template.pt
-msgid "notifyreject_link"
-msgstr ""
-
-#. Default: "Someone replied to your comment on \'${title}\'"
-#: skins/qplonecomments/approve_comment_template.pt
-msgid "replynotify_subject"
-msgstr ""
-
-#. Default: "Someone replied to your comment \'${url}\' on \'${here_url}\'. To read the response, go to \'${url}\'."
-#: skins/qplonecomments/approve_comment_template.pt
-msgid "replynotify_link"
-msgstr ""
-
-#: skins/qplonecomments/prefs_comments_setup.cpy
-msgid "qPloneComments configuration changes saved."
-msgstr ""
-
-#: skins/qplonecomments/prefs_recent_comments_delete.cpy
-msgid "Comment(s) deleted."
-msgstr ""
-
-#: skins/qplonecomments/prefs_recent_comments_publish.cpy
-msgid "Comment(s) published."
-msgstr ""
-
-#: skins/qplonecomments/validate_reply.vpy
-msgid "Reply not allowed because the response is to a comment waiting to be approved. Please wait for the comment to be approved before replying."
-msgstr ""
-
-#: skins/qplonecomments/2.0.5/discussion_publish_comment.py
-#: skins/qplonecomments/2.0.5/discussion_reply.cpy
-#: skins/qplonecomments/2.1/discussion_publish_comment.py
-#: skins/qplonecomments/2.1/discussion_reply.cpy
-#: skins/qplonecomments/2.1/discussion_publish_comment.py
-#: skins/qplonecomments/2.5/discussion_reply.cpy
-msgid "Comment published."
-msgstr ""
-
-#: skins/qplonecomments/2.0.5/discussion_reply.cpy
-#: skins/qplonecomments/2.1/discussion_reply.cpy
-#: skins/qplonecomments/2.5/discussion_reply.cpy
-msgid "Currently, all comments require approval before being published. Please check back later."
-msgstr ""
-
-#: skins/qplonecomments/2.0.5/validate_talkback.vpy
-#: skins/qplonecomments/2.1/validate_talkback.vpy
-#: skins/qplonecomments/2.5/validate_talkback.vpy
-msgid "Please enter your name."
-msgstr ""
-
-#: skins/qplonecomments/2.0.5/discussion_reply.cpy
-#: skins/qplonecomments/2.1/discussion_reply.cpy
-#: skins/qplonecomments/2.5/discussion_reply.cpy
-msgid "Comment added."
-msgstr ""
-
-#: skins/qplonecomments/2.0.5/validate_talkback.vpy
-#: skins/qplonecomments/2.1/validate_talkback.vpy
-#: skins/qplonecomments/2.5/validate_talkback.vpy
-msgid "Please submit a subject."
-msgstr ""
-
-#: skins/qplonecomments/2.0.5/validate_talkback.vpy
-#: skins/qplonecomments/2.1/validate_talkback.vpy
-#: skins/qplonecomments/2.5/validate_talkback.vpy
-msgid "Please submit a body."
-msgstr ""
-
-#: skins/qplonecomments/2.0.5/validate_talkback.vpy
-#: skins/qplonecomments/2.1/validate_talkback.vpy
-#: skins/qplonecomments/2.5/validate_talkback.vpy
-msgid "Please submit email."
-msgstr ""
-
-#: skins/qplonecomments/2.0.5/deleteDiscussion.py
-#: skins/qplonecomments/2.1/deleteDiscussion.py
-#: skins/qplonecomments/2.5/deleteDiscussion.py
-msgid "Reply deleted."
-msgstr ""
-
-#: skins/qplonecomments/prefs_recent_comments_delete.cpy
-msgid "Please select items to be processed."
-msgstr ""
-
-#: skins/qplonecomments/validate_setup.vpy
-msgid "Please submit a valid e-mail address."
-msgstr ""