Index: quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/dynamic/captcha_validator.vpy
===================================================================
--- quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/dynamic/captcha_validator.vpy	(revision 821)
+++ quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/dynamic/captcha_validator.vpy	(revision 849)
@@ -22,6 +22,6 @@
 if (enc != solution) or (captcha_tool.has_key(decrypted_key)) \
     or (DateTime().timeTime() - float(date)>3600):
-    state.setError('key', _("Please re-enter validation code."), 'key_required')
-    return state.set(status="failure", portal_status_message = _("Please re-enter validation code."))
+    state.setError('key', _(u"Please re-enter validation code."), 'key_required')
+    return state.set(status="failure", portal_status_message = _(u"Please re-enter validation code."))
 else:
     captcha_tool.addExpiredKey(decrypted_key)
Index: quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup.cpy
===================================================================
--- quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup.cpy	(revision 821)
+++ quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup.cpy	(revision 849)
@@ -10,4 +10,6 @@
 ##
 from Products.CMFCore.utils import getToolByName
+from Products.CMFPlone import PloneMessageFactory as _
+
 import string
 
@@ -50,3 +52,4 @@
 captcha_props.manage_changeProperties(**kw)
 
-return state.set(portal_status_message = 'Changes saved.')
+context.plone_utils.addPortalMessage(_(u'Changes saved.'))
+return state
Index: quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup_form.cpt
===================================================================
--- quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup_form.cpt	(revision 821)
+++ quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup_form.cpt	(revision 849)
@@ -33,5 +33,5 @@
 
             <fieldset>
-                <legend i18n:translate="legend_setup_options">qPloneCaptchas setup options</legend>
+                <legend i18n:translate="legend_setup_options">Plone Captchas setup options</legend>
                 <div tal:define="ct here/getCaptchaType;">
                     <input name="static_captchas"
@@ -70,5 +70,5 @@
                                            tabindex tabindex/next;"/>
 
-                    <label i18n:translate="string:${property_id}"
+                    <label i18n:translate=""
                            for=""
                            tal:attributes="for string:${property_id}">
@@ -91,5 +91,5 @@
                                            tabindex tabindex/next;"/>
 
-                    <label i18n:translate="string:${property_id}"
+                    <label i18n:translate=""
                            for=""
                            tal:attributes="for string:${property_id}">
@@ -112,5 +112,5 @@
                                            tabindex tabindex/next;"/>
 
-                    <label i18n:translate="string:${property_id}"
+                    <label i18n:translate=""
                            for=""
                            tal:attributes="for string:${property_id}">
@@ -133,5 +133,5 @@
                                            tabindex tabindex/next;"/>
 
-                    <label i18n:translate="string:${property_id}"
+                    <label i18n:translate=""
                            for=""
                            tal:attributes="for string:${property_id}">
@@ -154,5 +154,5 @@
                                            tabindex tabindex/next;"/>
 
-                    <label i18n:translate="string:${property_id}"
+                    <label i18n:translate=""
                            for=""
                            tal:attributes="for string:${property_id}">
@@ -176,5 +176,5 @@
                                            checked prop_value"/>
 
-                    <label i18n:translate="string:${property_id}"
+                    <label i18n:translate=""
                            for=""
                            tal:attributes="for string:${property_id}">
Index: quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/static/captcha_validator.vpy
===================================================================
--- quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/static/captcha_validator.vpy	(revision 821)
+++ quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/static/captcha_validator.vpy	(revision 849)
@@ -24,6 +24,6 @@
 if (enc != solution) or (captcha_tool.has_key(decrypted_key)) \
     or (DateTime().timeTime() - float(date)>3600):
-    state.setError('key', _("Please re-enter validation code."), 'key_required')
-    return state.set(status="failure", portal_status_message=_("Please re-enter validation code."))
+    state.setError('key', _(u"Please re-enter validation code."), 'key_required')
+    return state.set(status="failure", portal_status_message=_(u"Please re-enter validation code."))
 else:
     captcha_tool.addExpiredKey(decrypted_key)