Index: intagroup.doublecolumndocument/trunk/CHANGES.txt
===================================================================
--- /quintagroup.doublecolumndocument/trunk/CHANGES.txt	(revision 866)
+++ 	(revision )
@@ -1,22 +1,0 @@
-Changelog
-=========
-
-0.2 (2008-10-15)
-------------------
-
- - Made it compatible with plone 3
-   [piv]
-   
- - Made it in zope 3/plone 3 way
-   [piv]
-   
- - Made it as a python egg
-   [piv]
-
- - Fixed css issues
-   [gvizdyk]
-
- - Updated translations
-   [piv]
-   
-
Index: intagroup.doublecolumndocument/trunk/CONTRIBUTORS.txt
===================================================================
--- /quintagroup.doublecolumndocument/trunk/CONTRIBUTORS.txt	(revision 866)
+++ 	(revision )
@@ -1,7 +1,0 @@
-(c) "Quintagroup"
-
-  * Myroslav Opyr
-  * Andriy Mylenkyy
-  * Vitaliy Podoba
-  * Yuriy Hvozdovych
-
Index: /quintagroup.doublecolumndocument/trunk/README.txt
===================================================================
--- /quintagroup.doublecolumndocument/trunk/README.txt	(revision 866)
+++ /quintagroup.doublecolumndocument/trunk/README.txt	(revision 867)
@@ -1,16 +1,23 @@
-quintagroup.doublecolumndocument
-================================
+Introduction
+============
+
+This package provides document-like plone content type which has two content
+columns.
+
+
+Supported Plone versions
+------------------------
+
+* 3.x
+
 
 Authors
+-------
 
-  *  Myroslav Opyr
-  *  Andriy Mylenkyy
-  *  Vitaliy Podoba
-  *  Yuriy Hvozdovych
+*  Myroslav Opyr
 
-  "Product Homepage":http://quintagroup.com/services/plone-development/products/
-  "Download":http://sourceforge.net/projects/quintagroup
+*  Andriy Mylenkyy
 
-  (c) "Quintagroup":http://quintagroup.com/ , 2008. 
+*  Vitaliy Podoba
 
-  support@quintagroup.com * quintessence of modern business
+*  Yuriy Hvozdovych
Index: /quintagroup.doublecolumndocument/trunk/docs/HISTORY.txt
===================================================================
--- /quintagroup.doublecolumndocument/trunk/docs/HISTORY.txt	(revision 866)
+++ /quintagroup.doublecolumndocument/trunk/docs/HISTORY.txt	(revision 867)
@@ -1,57 +1,76 @@
-0.2
+Changelog
+=========
 
-   1. Made it compatible with plone 3
-   
-   2. Made it in zope 3/plone 3 way
-   
-   3. Made it as a python egg
-   
-   4. Updated translations
-   
-   5. Fixed a few css issues
+0.2 - March 25, 2009
+--------------------
+
+* reStructed ;-) documentation.
+  [piv]
+
+* Made it compatible with plone 3.
+  [piv]
+
+* Made it in a zope 3/plone 3 way.
+  [piv]
+
+* Made it as a python egg.
+  [piv]
+
+* Updated translations.
+  [piv]
+
+* Fixed a few css issues.
+  [gvizdyk]
+
 
 0.1.5
-   1. Added "visualClear" div in view template.
+-----
+
+* Added "visualClear" div in view template.
+
 
 0.1.4
-   1. DoubleColumnDocument moved to ATCT. 
-      Tested on Plone 2.5
+-----
+
+* DoubleColumnDocument moved to ATCT. 
+
+* Tested on Plone 2.5
+
 
 0.1.3
+-----
 
-   1. Miscellaneous cleanups in HISTORY.txt, 
-      doublecolumndocument_view.pt, 
-      DoubleColumnDocument.py.
+* Miscellaneous cleanups in HISTORY.txt, 
+  doublecolumndocument_view.pt, DoubleColumnDocument.py.
+
 
 0.1.2
+-----
 
-   1. Review translation widget's properties of 
-      <description> field of DoubleColumnDocument 
-      class.
+* Review translation widget's properties of 
+  description field of DoubleColumnDocument class.
 
-   2. Add i18n translation to product with 
-      Spanish, Argentine-Spanish languages.
-     
-     
+* Add i18n translation to product with 
+  Spanish, Argentine-Spanish languages.
+
+
 0.1.1
+-----
 
-   1. Renamed Dou"d"leColumnDocument to 
-      Dou"b"leColumnDocument 
+* Renamed Dou"d"leColumnDocument to Dou"b"leColumnDocument .
 
-   2. In DoubleColumnDocument class, in schema 
-      attribute BaseFolderSchema to BaseSchema
+* In DoubleColumnDocument class, in schema 
+  attribute BaseFolderSchema to BaseSchema.
 
-   3. In 
-      DoubleColumnDocument/skins/doublecolumndocument/doublecolumndocument_view.pt 
-      revewed for correct rendering of different 
-      mimetype content in view mode
+* In
+  DoubleColumnDocument/skins/doublecolumndocument/doublecolumndocument_view.pt 
+  reviewed for correct rendering of different mimetype content in view mode.
 
-   4. Updated propertied of Body1 & Body2 fields.
+* Updated propertied of Body1 & Body2 fields.
 
-   5. Add i18n translation to product with Ukrainian
-      languages
-        
+* Add i18n translation to product with Ukrainian languages.
 
 0.1
+---
 
-   basic functionality
+* basic functionality
Index: intagroup.doublecolumndocument/trunk/quintagroup/doublecolumndocument/README.txt
===================================================================
--- /quintagroup.doublecolumndocument/trunk/quintagroup/doublecolumndocument/README.txt	(revision 866)
+++ 	(revision )
@@ -1,16 +1,0 @@
-quintagroup.doublecolumndocument
-================================
-
-Authors
-
-  *  Myroslav Opyr
-  *  Andriy Mylenkyy
-  *  Vitaliy Podoba
-  *  Yuriy Hvozdovych
-
-  "Package Homepage":http://quintagroup.com/services/plone-development/products/
-  "Download":http://sourceforge.net/projects/quintagroup
-
-  (c) "Quintagroup":http://quintagroup.com/ , 2008. 
-
-  support@quintagroup.com * quintessence of modern business
Index: /quintagroup.doublecolumndocument/trunk/setup.py
===================================================================
--- /quintagroup.doublecolumndocument/trunk/setup.py	(revision 866)
+++ /quintagroup.doublecolumndocument/trunk/setup.py	(revision 867)
@@ -11,26 +11,4 @@
 version = '0.2'
 
-long_description = (
-    read('README.txt')
-    + '\n' +
-    'Change history\n'
-    '**************\n'
-    + '\n' +
-    read('CHANGES.txt')
-    + '\n' +
-    'Detailed Documentation\n'
-    '**********************\n'
-    + '\n' +
-    read('quintagroup', 'doublecolumndocument', 'README.txt')
-    + '\n' +
-    'Contributors\n'
-    '************\n'
-    + '\n' +
-    read('CONTRIBUTORS.txt')
-    + '\n' +
-    'Download\n'
-    '********\n'
-    )
-
 tests_require=['zope.testing']
 
@@ -38,5 +16,6 @@
       version=version,
       description="Extends Document with one more extra column",
-      long_description=long_description,
+      long_description=open("README.txt").read() + "\n" +
+                       open(os.path.join("docs", "HISTORY.txt")).read(),
       # Get more strings from http://www.python.org/pypi?%3Aaction=list_classifiers
       classifiers=[
@@ -63,10 +42,4 @@
       entry_points="""
       # -*- entry_points -*- 
-      [distutils.setup_keywords]
-      paster_plugins = setuptools.dist:assert_string_list
-
-      [egg_info.writers]
-      paster_plugins.txt = setuptools.command.egg_info:write_arg
       """,
-      paster_plugins = ["ZopeSkel"],
       )